
#include <iostream>
#include "sym_banded_matrix.h"
#include "matrix_and_vector_output.h"

int main()
{
    using namespace sykes::numeric;
    int size1 = 10, hbw = 3;
	sym_banded_matrix<double> m1(size1, hbw, 0);
	
	std::cout << m1 << std::endl;
	
	for(int i1 = 0; i1 < size1; ++i1){
		for(int i2 = 0; i2 <= i1; ++i2){
			if((i1 - i2) < hbw){
				m1(i1, i2) = i1 * 3 + i2;
			}
		}
	}
	
	std::cout << m1 << std::endl;
	
	return 0;
}


